.switch {
	padding: 3px 5px;
	width: 60px;
	height: 30px;

	border-radius: 20px;
	background-color: var(--c-accent_dark);
	border: 2px solid var(--c-grey);
	box-shadow: inset 0px 5px 15px rgba(0, 0, 0, 0.4),
		inset 0px -5px 15px var(--c-bg_dark);

	transition: 0.3s;
}

.switch:hover {
	box-shadow: inset 0px 5px 15px rgba(0, 0, 0, 0.4),
		inset 0px -5px 15px var(--c-bg_dark), 0 0 15px var(--c-main_dark);
	transition: 0.3s;
	border-color: var(--c-main_dark);
}

.switch__label {
	position: relative;
	height: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;

	cursor: pointer;
}

.switch__carriage {
	position: absolute;
	top: 0;
	left: 0;

	z-index: 10;

	min-width: 30px;
	min-height: 30px;
	border-radius: 50%;
	background-color: var(--c-grey);

	transition: 0.3s;
}

.switch__input:checked + .switch__carriage {
	left: 30px;
}

.switch__of,
.switch__on {
	position: relative;
	padding: 0 7px;
	z-index: 100;

	transition: 0.3s;
}

.switch__of {
	color: var(--c-main_dark);
	filter: drop-shadow(0 0 5px var(--c-main_dark));
}

.switch_on .switch__of {
	color: var(--c-accent);
	filter: none;
}

.switch_on .switch__on {
	color: var(--c-main_dark);
	filter: drop-shadow(0 0 5px var(--c-main_dark));
}
